Summary: Gluster 10 packages from the CentOS Storage SIG repository
Name: centos-release-gluster10
Version: 1.0
Release: 1%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Storage
Source0: CentOS-Gluster-10.repo
Source1: 75-gluster.preset
%if 0%{?centos} >= 8
BuildRequires: systemd
%endif
BuildArch: noarch

Requires: centos-release >= 8.1
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires: centos-release-storage-common

Provides: centos-release-gluster = 10

%description
DNF configuration for Gluster 10 packages from the CentOS Storage SIG. Gluster
10 will receive updates for approximately 12 months. For more details about the
release and maintenance schedule, see
https://www.gluster.org/community/release-schedule

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Gluster-10.repo
install -D -m 644 %{SOURCE1} %{buildroot}%{_presetdir}/$(basename %{SOURCE1})

%post
%systemd_post glusterd.service

%preun
%systemd_preun glusterd.service

%postun
%systemd_postun glusterd.service

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Gluster-10.repo
%{_presetdir}/75-gluster.preset

%changelog
* Tue Feb 15 2022 Niels de Vos <ndevos@redhat.com> - 1.0-1
- Gluster 10 GA

* Tue Oct 26 2021 Niels de Vos <ndevos@redhat.com> - 0.1-1
- Gluster 10 pre-release

* Mon Jun 21 2021 Kaleb S. KEITHLEY <kkeithle at redhat.com> - 1.0-2
- c8stream

* Fri Jan 22 2021 Niels de Vos <ndevos@redhat.com> - 1.0-1
- Initial version based on centos-release-gluster8
